class DenounceCar < ActiveRecord::Base
  
  attr_accessible :comments, :place, :plate, :viewed_at
  
  # No db attributes
  attr_accessible :image
  
  # Paperclip
  has_attached_file :image, :styles => { :thumb => '600x400>' }
  
  # Validations
  validates :place, :viewed_at, :presence => true
end
