class InstitutionEventParticipant < ActiveRecord::Base
  # accessibles
  attr_accessible :institution_event_id, :user_id

  # associations
  belongs_to :institution_event
  belongs_to :user

  validates :institution_event_id, uniqueness: { scope: :user_id }
end
