class InstitutionSubscriber < ActiveRecord::Base
  # accessibles
  attr_accessible :institution_id, :user_id

  # associations
  belongs_to :institution
  belongs_to :user

  validates :institution_id, uniqueness: { scope: :user_id }
end
