class TaDiscussionForm < ActiveRecord::Base
  attr_accessible :name, :last_name, :carreer, :university, :dui, :email, :phone

 	belongs_to :ta_discussion

 	validates :name, :last_name, :carreer, :university, :email, presence: true
 	validates :email, :presence => true, :format => { :with => /\A([^@\s]+)@((?:[-a-z0-9]+\.)+[a-z]{2,})\Z/i }
 	#validates :dui, format: { with: /\d{8}-\d{1}$/, message: I18n.t('errors.messages.invalid_dui') }
end
