class FeaturedSection < ActiveRecord::Base

  # Accessors
  attr_accessible :active, :name, :link, :priority
  
  # Non database attributes
  attr_accessible :banner
  
  # Paperclip
  has_attached_file :banner,
    content_type: ['image/jpeg', 'image/jpg', 'image/png'],
    styles: { original: '960x500>', small: '292x200>' },
    default_style: :original
end
