class InstitutionInventoryCategory < ActiveRecord::Base
  attr_accessible :institution_id, :year

  belongs_to :institution
  has_many :institution_items, dependent: :destroy

  validates :year, presence: true
end
