class TaDiscussionPicture < ActiveRecord::Base
  belongs_to :ta_discussion
  attr_accessible :photo

  has_attached_file :photo, :styles => lambda {|a| { :icon_small=>"x100"}}, 
                            :convert_options => { :icon_small => "-quality 75", :icon_medium => "-quality 75", :icon_large => "-quality 75" }, 
                            :processor => :MiniMagick
  validates_attachment_content_type :photo,
                            :content_type => [ 'image/jpeg', 'image/png', 'image/gif', 'image/jpg', 'image/x-png', 'image/pjpeg' ]

end
